<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('family_relations', function (Blueprint $table) {
            $table->foreignId('owner_id')->nullable()->after('id');
            $table->foreignId('person_id')->nullable()->after('relation_with_owner');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('family_relations', function (Blueprint $table) {
            $table->dropColumn('owner_id');
            $table->dropColumn('person_id');
        });
    }
};
